#include "formdialog.h"
#include "ui_formdialog.h"

FormDialog::FormDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::FormDialog)
{
    ui->setupUi(this);
    m_formSet = false;
    m_form = NULL;
}

FormDialog::~FormDialog()
{
    delete ui;
}

void FormDialog::setForm(IForm *formWidget)
{
    if (m_form == NULL)
    {
        ui->verticalLayout->addWidget(formWidget);
        m_form = formWidget;
        setGeometry(formWidget->geometry());
    }
}

void FormDialog::on_buttonBox_accepted()
{
    m_form->saveRecord();
}
