#ifndef FORMDIALOG_H
#define FORMDIALOG_H

#include <QDialog>
#include <QWidget>

#include "iform.h"

namespace Ui {
class FormDialog;
}

class FormDialog : public QDialog
{
    Q_OBJECT

public:
    explicit FormDialog(QWidget *parent = 0);
    ~FormDialog();

    void setForm(IForm *formWidget);

private slots:
    void on_buttonBox_accepted();

private:
    bool m_formSet;
    IForm *m_form;
    Ui::FormDialog *ui;
};

#endif // FORMDIALOG_H
